org.encog.neural.flat

## Class FlatNetworkRBF

- java.lang.Object
- - org.encog.neural.flat.FlatNetwork
  - - org.encog.neural.flat.FlatNetworkRBF

- All Implemented Interfaces:
    Serializable, Cloneable

      public class FlatNetworkRBF
      extends FlatNetwork
      implements Serializable, Cloneable

  A flat network designed to handle an RBF.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.encog.neural.flat.FlatNetwork

      `DEFAULT_BIAS_ACTIVATION, NO_BIAS_ACTIVATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlatNetworkRBF()` Default constructor.
    `FlatNetworkRBF(int inputCount, int hiddenCount, int outputCount, RadialBasisFunction[] rbf)` Construct an RBF flat network.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FlatNetworkRBF` | `clone()` Clone the network.
    `void` | `compute(double[] x, double[] output)` Calculate the output for the given input.
    `RadialBasisFunction[]` | `getRBF()`
    `void` | `setRBF(RadialBasisFunction[] rbf)` Set the RBF's used.

    - ### Methods inherited from class org.encog.neural.flat.FlatNetwork

      `calculateError, clearConnectionLimit, clearContext, cloneFlatNetwork, computeLayer, decodeNetwork, encodeNetwork, getActivationFunctions, getBeginTraining, getBiasActivation, getConnectionLimit, getContextTargetOffset, getContextTargetSize, getEncodeLength, getEndTraining, getHasContext, getInputCount, getLayerContextCount, getLayerCounts, getLayerFeedCounts, getLayerIndex, getLayerOutput, getLayerSums, getNeuronCount, getOutputCount, getWeightIndex, getWeights, hasSameActivationFunction, init, isLimited, randomize, randomize, setActivationFunctions, setBeginTraining, setBiasActivation, setConnectionLimit, setContextTargetOffset, setContextTargetSize, setEndTraining, setHasContext, setInputCount, setLayerContextCount, setLayerCounts, setLayerFeedCounts, setLayerIndex, setLayerOutput, setLayerSums, setOutputCount, setWeightIndex, setWeights`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlatNetworkRBF

          public FlatNetworkRBF()

      Default constructor.

    - #### FlatNetworkRBF

          public FlatNetworkRBF(int inputCount,
                        int hiddenCount,
                        int outputCount,
                        RadialBasisFunction[] rbf)

      Construct an RBF flat network.
      Parameters:
        `inputCount` - The number of input neurons. (also the number of dimensions)
        `hiddenCount` - The number of hidden neurons.
        `outputCount` - The number of output neurons.
        `rbf` - The radial basis functions to use.

  - ### Method Detail

    - #### clone

          public FlatNetworkRBF clone()

      Clone the network.
      Overrides:
        `clone` in class `FlatNetwork`
      Returns:
        A clone of the network.

    - #### compute

          public void compute(double[] x,
                     double[] output)

      Calculate the output for the given input.
      Overrides:
        `compute` in class `FlatNetwork`
      Parameters:
        `x` - The input.
        `output` - Output will be placed here.

    - #### setRBF

          public void setRBF(RadialBasisFunction[] rbf)

      Set the RBF's used.
      Parameters:
        `rbf` - The RBF's used.

    - #### getRBF

          public RadialBasisFunction[] getRBF()

      Returns:
        The RBF's used.

Copyright © 2014. All Rights Reserved.